## tidev-modules 1.3

=== tidev-modules/tipar_dev/module/Makefile ===
# Makefile for the tipar driver (Texas Instruments' BlackLink cable or 
# home-made serial link cable)
# (w) 6/2001, Romain Lievin <rlievin@mail.com>

PREFIX = /usr
INCLUDEDIR = $(PREFIX)/include
KDIR := /usr/src/linux
KVERS := $(shell uname -r)

TARGETS := Rules.make arch tipar.o

.PHONY: tipar.o

default: $(TARGETS)


Rules.make: $(KDIR)/Rules.make
	cp -pf $(KDIR)/Rules.make .

arch: $(KDIR)/arch
	rm -f arch
	ln -s $(KDIR)/arch .

clean:
	rm -f $(TARGETS)
	rm -f *.o core *~ \#*

tipar.o:
	$(MAKE) -f Makefile.tipar KDIR=$(KDIR)

install:
	$(MAKE) -f Makefile.tipar KDIR=$(KDIR) KVERS=$(KVERS) install_mod

load:
	$(MAKE) -f Makefile.tipar KDIR=$(KDIR) load_module

unload:
	rmmod tipar

dist: clean
	mkdir /tmp/tiparlink-$(VERSION) ; cp -r ../* /tmp/tiparlink-$(VERSION)
	cd /tmp ; tar cvf - tiparlink-$(VERSION) | \
	gzip > tiparlink-$(VERSION).tar.gz

# Old Makefile, for backwards compatibility

insmod: tipar.o
	insmod tipar.o

rmmod:
	rmmod tipar

reins: tipar.o
	rmmod tipar
	insmod tipar.o

read:
	cat /dev/tipar0

write:
	cat seq.txt > /dev/tipar0

rw:
	cat seq.txt > /dev/tipar0
	cat /dev/tipar0

nodes:
	rm -f /dev/tipar?
	rm -f /dev/tiP?
	rm -f /dev/ti
	mknod -m 666 /dev/tipar0 c 61 1
	mknod -m 666 /dev/tipar1 c 61 2
	mknod -m 666 /dev/tipar2 c 61 3
	ln -s /dev/tipar0 /dev/tiP0     # compatibility with the 'tidev' module
	ln -s /dev/tipar1 /dev/tiP1
	ln -s /dev/tipar2 /dev/tiP2
	ln -s /dev/tipar1 /dev/ti

=== tidev-modules/tiser_dev/module/Makefile ===
# Makefile for the tiser driver (Texas Instruments' BlackLink cable or 
# home-made serial link cable)
# (w) 6/2001, Romain Lievin <rlievin@mail.com>

PREFIX = /usr
INCLUDEDIR = $(PREFIX)/include
KDIR := /usr/src/linux
KVERS := $(shell uname -r)

TARGETS := Rules.make arch tiser.o
.PHONY: tiser.o

default: $(TARGETS)


Rules.make: $(KDIR)/Rules.make
	cp -pf $(KDIR)/Rules.make .

arch: $(KDIR)/arch
	rm -f arch
	ln -s $(KDIR)/arch .

clean:
	rm -f $(TARGETS)
	rm -f *.o core *~ \#*

tiser.o:
	$(MAKE) -f Makefile.tiser KDIR=$(KDIR)

install:
	$(MAKE) -f Makefile.tiser KDIR=$(KDIR) KVERS=$(KVERS) install_mod

load:
	$(MAKE) -f Makefile.tiser KDIR=$(KDIR) load_module

unload:
	rmmod tiser

dist: clean
	mkdir /tmp/tiserlink-$(VERSION) ; cp -r ../* /tmp/tiserlink-$(VERSION)
	cd /tmp ; tar cvf - tiserlink-$(VERSION) | \
	gzip > tiserlink-$(VERSION).tar.gz

# Old Makefile, for backwards compatibility

insmod: tiser.o
	insmod tiser.o

rmmod:
	rmmod tiser

reins: tiser.o
	rmmod tiser
	insmod tiser.o

read:
	cat /dev/tiser1

write:
	cat seq.txt > /dev/tiser1

rw:
	cat seq.txt > /dev/tiser1
	cat /dev/tiser1

nodes:
	rm -f /dev/tiser?
	rm -f /dev/tiS?
	rm -f /dev/ti
	mknod -m 666 /dev/tiser0 c 60 1 #16
	mknod -m 666 /dev/tiser1 c 60 2 #17
	mknod -m 666 /dev/tiser2 c 60 3 #18
	mknod -m 666 /dev/tiser3 c 60 4 #19
	ln -s /dev/tiser0 /dev/tiS0	# compatibility with the 'tidev' module
	ln -s /dev/tiser1 /dev/tiS1
	ln -s /dev/tiser2 /dev/tiS2
	ln -s /dev/tiser3 /dev/tiS3
	ln -s /dev/tiser1 /dev/ti

=== tidev-modules/tiusb_dev/module/Makefile ===
# Makefile for the tiusb driver (Texas Instruments' BlackLink cable or 
# home-made serial link cable)
# (w) 6/2001, Romain Lievin <rlievin@mail.com>

PREFIX = /usr
INCLUDEDIR = $(PREFIX)/include
KDIR := /usr/src/linux
KVERS := $(shell uname -r)

TARGETS := Rules.make arch tiusb.o
.PHONY: tiusb.o

default: $(TARGETS)


Rules.make: $(KDIR)/Rules.make
	cp -pf $(KDIR)/Rules.make .

arch: $(KDIR)/arch
	rm -f arch
	ln -s $(KDIR)/arch .

clean:
	rm -f $(TARGETS)
	rm -f *.o core *~ \#*

tiusb.o:
	$(MAKE) -f Makefile.tiusb KDIR=$(KDIR)

install:
	$(MAKE) -f Makefile.tiusb KDIR=$(KDIR) KVERS=$(KVERS) install_mod

load:
	$(MAKE) -f Makefile.tiusb KDIR=$(KDIR) load_module

unload:
	rmmod tiusb

dist: clean
	mkdir /tmp/tiusblink-$(VERSION) ; cp -r ../* /tmp/tiusblink-$(VERSION)
	cd /tmp ; tar cvf - tiusblink-$(VERSION) | \
	gzip > tiusblink-$(VERSION).tar.gz

# Old Makefile, for backwards compatibility

insmod: tiusb.o
	insmod tiusb.o

rmmod:
	rmmod tiusb

reins: tiusb.o
	rmmod tiusb
	insmod tiusb.o

read:
	#cat /dev/usb/tigl0
	dd bs=1 count=4 < /dev/usb/tigl0

write:
	cat seq.txt > /dev/usb/tigl0

rw:
	cat seq.txt > /dev/usb/tigl0
	cat /dev/usb/tigl0 > res.txt

nodes:	
	rm -f /dev/tigl?
	mknod -m 666 /dev/tigl0 c 61 225
	mknod -m 666 /dev/tigl1 c 61 226
	mknod -m 666 /dev/tigl2 c 61 227
	mknod -m 666 /dev/tigl3 c 61 228
# Theoritically, we can connect up to 16 link cables 
# but 4 seems to be enough !

=== debian/changelog ===
tidev-modules (1.3) unstable; urgency=medium

  * Modules versions :
    o tipar v1.16
    o tiser v1.16
    o tiusb v1.03
  * Bugfixes regarding blocking/non-blocking operations.

 -- Julien BLACHE <jblache@debian.org>  Mon, 22 Apr 2002 11:33:08 +0200

tidev-modules (1.2) unstable; urgency=medium

  * Fixed typo in postinst.
  * Do not print the warning if upgrading from a post-1.1 version.
  * Added the device list to -$(KVERS) README.Debian.
  * Build the -$(KVERS) package with a default revision of 0.
  * Fixed a typo in -$(KVERS) postrm.
  * Simplified -$(KVERS) maintainer scripts.

 -- Julien BLACHE <jblache@debian.org>  Sun, 31 Mar 2002 15:24:32 +0200

tidev-modules (1.1) unstable; urgency=medium

  * New upstream release, enforcing incompatible changes due to assignment of
    major number 115 to the TI drivers. Please read the README.Debian file
    in the resulting tidev-modules-$(KVERS) package.
  * Modified postinst scripts (both -source and -$(KVERS) packages) to tell the
    user about the changes. Modified -$(KVERS) README.Debian.
  * In -$(KVERS) package postrm, do not call depmod nor update-modules when the
    argument is "upgrade".
  * Modules versions :
    o tipar v1.14
    o tiser v1.14
    o tiusb v1.01

 -- Julien BLACHE <jblache@debian.org>  Sat, 30 Mar 2002 12:50:35 +0100

tidev-modules (1.0) unstable; urgency=low

  * Modules versions :
    o tipar v1.13b
    o tiser v1.13b
    o tiusb v1.00

 -- Julien BLACHE <jblache@debian.org>  Sun, 24 Mar 2002 14:48:14 +0100

tidev-modules (0.6) unstable; urgency=low

  * Fix Makefiles brokeness at installation time, wrt kernel version.
    ($(KVERS) is not propagated)

 -- Julien BLACHE <jblache@debian.org>  Thu, 14 Mar 2002 18:14:41 +0100

tidev-modules (0.5) unstable; urgency=medium

  * Fix Makefiles so that the build does no longer depend on the kernel
    sources being in /usr/src/linux (closes: Bug#138268).

 -- Julien BLACHE <jblache@debian.org>  Thu, 14 Mar 2002 12:03:41 +0100

tidev-modules (0.4) unstable; urgency=low

  * Do not call depmod when building the modules (closes: Bug#135353).
  * Call depmod -a during postinst and postrm, related to #135353.
  * Added missing debian/genchanges.sh script.

 -- Julien BLACHE <jblache@debian.org>  Sat, 23 Feb 2002 23:12:52 +0100

tidev-modules (0.3-1) unstable; urgency=low

  * Initial release (closes: Bug#132299).
  * Another attempt to package these modules. Hopefully the last one.
  * Modules versions :
    o tipar_dev v1.10
    o tiser_dev v1.10
    o tiusb_dev v0.18
  * Renamed the tarball to tidev-modules.tar.gz.

 -- Julien BLACHE <jblache@debian.org>  Mon, 11 Feb 2002 17:13:11 +0100

tidev-modules (0.2-1) unstable; urgency=low

  * New attempt to package these modules.
  * Modules versions :
    o tipar_dev v1.9
    o tiser_dev v1.9
    o tiusb_dev v0.17

 -- Julien BLACHE <jblache@debian.org>  Sun, 11 Nov 2001 14:49:14 +0100

tidev-modules (0.1-1) unstable; urgency=low

  * First test package.

 -- Julien BLACHE <jblache@debian.org>  Mon,  2 Apr 2001 22:32:55 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: tidev-modules
Section: misc
Priority: optional
Maintainer: Julien BLACHE <jblache@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: tidev-modules-source
Architecture: all
Depends: make, debhelper (>> 3.0.0), fileutils (>= 4.1-9)
Description: Sources for drivers for Texas Instruments calculators link cables
 This package will be useful to you if you own a Texas Instruments calculator
 and want to use one of the following link cables :
  o official "black cable" from Texas Instruments (BlackLink)
  o home-made serial link
  o home-made parallel cable
  o official GraphLink USB from Texas Instruments (SilverLink)
 .
 This package contains the sources of the drivers, which you need to compile
 before using it. Please read /usr/share/doc/tidev-source/README.Debian
 for more informations on how to achieve that.
 .
 You must have the parport driver built either in your kernel or as a
 module to use the tipar_dev driver. You need a kernel with the USB core
 to use the tiusb_dev driver.
 .
 You'll also need a linking software such as TiLP to communicate with
 your calculator.
 .

=== tidev-modules/debian/control ===
Source: tidev-modules
Section: misc
Priority: optional
Maintainer: Julien BLACHE <jblache@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: tidev-modules-#KVERS#
Architecture: #ARCH#
Description: Drivers for Texas Instruments calculators link cables (Linux kernel v#KVERS#)
 This package will be useful to you if you own a Texas Instruments calculator
 and want to use one of the following link cables :
  o official "black cable" from Texas Instruments
  o home-made serial link
  o home-made parallel cable
  o official GraphLink (tm) USB from Texas Instruments
 .
 You'll also need a linking software such as TiLP to communicate with
 your calculator.
 .
 This package has been built by a Debian GNU/Linux user, using the
 tidev-source package. It will run ONLY on a #KVERS# Linux kernel,
 unless you're using modversions.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	# We have nothing to do.

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	# We're not building anything.

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package
	cp -f debian/changelog tidev-modules/debian/

	cp -a tidev-modules $(CURDIR)/debian/tidev-modules-source/usr/src/modules/tidev-modules

	chown -R root.src $(CURDIR)/debian/tidev-modules-source/usr/src/modules/

	# Now there's only one header file for the 3 modules
	cp -f tidev-modules/tipar_dev/module/ticable.h $(CURDIR)/debian/tidev-modules-source/usr/include/tilp/

	cd $(CURDIR)/debian/tidev-modules-source/usr/include/tilp && \
	ln -sf ticable.h tipar.h && \
	ln -sf ticable.h tiser.h && \
	ln -sf ticable.h tiusb.h && \
	cd -

	# COPYING files are not needed, it's GPL
	rm -f $(CURDIR)/debian/tidev-modules-source/usr/src/modules/tidev-modules/tipar_dev/COPYING
	rm -f $(CURDIR)/debian/tidev-modules-source/usr/src/modules/tidev-modules/tiser_dev/COPYING
	rm -f $(CURDIR)/debian/tidev-modules-source/usr/src/modules/tidev-modules/tiusb_dev/COPYING

	# Pack all the stuff into a nice tarball
	cd $(CURDIR)/debian/tidev-modules-source/usr/src && tar -czf tidev-modules.tar.gz modules && rm -rf modules

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== tidev-modules/debian/rules ===
#!/usr/bin/make -f
# This is fairly complicated since it can be called either to build the
# source package, or to build a kernel module package.

#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

# Strip epoch, which is at the _end_ of KDREV
baseepoch=$(shell expr $(KDREV) : '\([0-9]*\):.*' 2>/dev/null )
ifneq ($(baseepoch),)
EPOCH=$(baseepoch):
endif
REV=$(shell expr $(KDREV) : '[0-9]*:\(.*\)' 2>/dev/null)
ifeq ($(REV),)
REV=$(KDREV)
endif

# If still undefined, set to 0
ifeq ($(REV),)
REV=0
endif

VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
KSRC:=/usr/src/linux
KVERS:=$(shell uname -r)
PKG_VERSION=$(EPOCH)$(VERSION)+$(REV)

ARCH = $(shell dpkg --print-architecture)

TIMODULES_DOC = $(CURDIR)/debian/tidev-modules-$(KVERS)/usr/share/doc/tidev-modules-$(KVERS)

# Build kernel modules.
build:
	dh_testdir

	cd tipar_dev/module && $(MAKE) KDIR=$(KSRC) && cd -
	cd tiser_dev/module && $(MAKE) KDIR=$(KSRC) && cd -
	cd tiusb_dev/module && $(MAKE) KDIR=$(KSRC) && cd -

clean:
	dh_testdir
	dh_testroot
	cd tipar_dev/module && $(MAKE) clean && cd -
	cd tiser_dev/module && $(MAKE) clean && cd -
	cd tiusb_dev/module && $(MAKE) clean && cd -
	-cp -f debian/control.template debian/control
	-cp -f debian/tidev-modules-KVERS.postinst.template debian/tidev-modules-$(KVERS).postinst
	-cp -f debian/tidev-modules-KVERS.postrm.template debian/tidev-modules-$(KVERS).postrm
	dh_clean debian/tidev-modules-$(KVERS).*

# Build the kernel module .deb.
binary-modules: build
	dh_clean -k
	dh_testdir
	dh_testroot

	sed -e 's/#KVERS#/$(KVERS)/g' -e 's/#ARCH#/$(ARCH)/g' debian/control.template > debian/control

	sed -e 's/#KVERS#/$(KVERS)/g' debian/tidev-modules-KVERS.postinst.template > debian/tidev-modules-$(KVERS).postinst
	sed -e 's/#KVERS#/$(KVERS)/g' debian/tidev-modules-KVERS.postrm.template > debian/tidev-modules-$(KVERS).postrm

	# And set up files so debhelper can find them.

	dh_installdirs lib/modules/$(KVERS)/misc
	dh_installdirs usr/share/doc/tidev-modules-$(KVERS)

	cd tipar_dev/module && $(MAKE) install KDIR=$(KSRC) KVERS=$(KVERS) DESTDIR=$(CURDIR)/debian/tidev-modules-$(KVERS)
	cd tiser_dev/module && $(MAKE) install KDIR=$(KSRC) KVERS=$(KVERS) DESTDIR=$(CURDIR)/debian/tidev-modules-$(KVERS)
	cd tiusb_dev/module && $(MAKE) install KDIR=$(KSRC) KVERS=$(KVERS) DESTDIR=$(CURDIR)/debian/tidev-modules-$(KVERS)

	mkdir -p $(TIMODULES_DOC)/tipar_dev
	mkdir -p $(TIMODULES_DOC)/tiser_dev
	mkdir -p $(TIMODULES_DOC)/tiusb_dev

	cp -f tipar_dev/README $(TIMODULES_DOC)/tipar_dev
	cp -f tipar_dev/CHANGELOG $(TIMODULES_DOC)/tipar_dev
	cp -f tipar_dev/devices.sh $(TIMODULES_DOC)/tipar_dev
	cp -f tipar_dev/module/Insmod-options $(TIMODULES_DOC)/tipar_dev 

	cp -f tiser_dev/README $(TIMODULES_DOC)/tiser_dev
	cp -f tiser_dev/CHANGELOG $(TIMODULES_DOC)/tiser_dev
	cp -f tiser_dev/devices.sh $(TIMODULES_DOC)/tiser_dev
	cp -f tiser_dev/module/Insmod-options $(TIMODULES_DOC)/tiser_dev 


	cp -f tiusb_dev/README $(TIMODULES_DOC)/tiusb_dev
	cp -f tiusb_dev/CHANGELOG $(TIMODULES_DOC)/tiusb_dev
	cp -f tiusb_dev/devices.sh $(TIMODULES_DOC)/tiusb_dev
	cp -f tiusb_dev/module/Insmod-options $(TIMODULES_DOC)/tiusb_dev 

	dh_installdocs
	dh_installexamples
	dh_installchangelogs
	dh_installmodules
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -- -v$(PKG_VERSION)
	dh_makeshlibs
	dh_md5sums
	dh_builddeb --destdir=$(KSRC)/..

# Build architecture-independent files here.
binary-indep:
	# Nothing to do.

# Build architecture-dependant files that arn't kernel modules here.
binary-arch:
	# Nothing to do.

# This is used when kernel-package is building the package.
kdist_image: binary-modules clean
	# The dependancies take care of building the module package.
kdist: clean binary-modules
	# Build a .changes file.
	KVERS="$(KVERS)" KSRC="$(KSRC)" KMAINT="$(KMAINT)" \
	REV="$(REV)" KEMAIL="$(KEMAIL)" \
		sh -v debian/genchanges.sh
	# Only now can we clean up.
	debian/rules clean
kdist_configure:
	# Nothing to do when configured.
kdist_clean: clean

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary kdist kdist_image kdist_configure

## tidev-modules 2.0.0

=== tidev-modules/Makefile ===
# Makefile for the tiusb driver (Texas Instruments' BlackLink cable or 
# home-made serial link cable)
# (w) 6/2001, Romain Lievin <rlievin@mail.com>

PREFIX = /usr
INCLUDEDIR = $(PREFIX)/include
KDIR := /usr/src/linux
KVERS := $(shell uname -r)
TIMODULE = 

TARGETS := Rules.make arch $(TIMODULE).o
.PHONY: $(TIMODULE).o

default: $(TARGETS)


Rules.make: $(KDIR)/Rules.make
	cp -pf $(KDIR)/Rules.make $(TIMODULE)/module/

arch: $(KDIR)/arch
	rm -f $(TIMODULE)/module/arch
	ln -s $(KDIR)/arch $(TIMODULE)/module/

clean:
	rm -f $(TIMODULE)/module/Rules.make
	rm -f $(TIMODULE)/module/arch
	rm -f $(TIMODULE)/module/*.o
	rm -f $(TIMODULE)/module/core
	rm -f $(TIMODULE)/module/*~
	rm -f $(TIMODULE)/module/\#*
	rm -f $(TIMODULE)/module/.$(TIMODULE).o.flags

$(TIMODULE).o:
	$(MAKE) -C $(TIMODULE)/module KDIR=$(KDIR)

install:
	$(MAKE) -C $(TIMODULE)/module KDIR=$(KDIR) KVERS=$(KVERS) install_mod

=== tidev-modules/tiglusb/module/Makefile ===
# Makefile for tiglusb to be called by master Makefile that
# does the preparation work (setting up links, copying Rules.make ...)
# (w) 6/2001, Romain Lievin <rlievin@mail.com>

TARGET = tiglusb.o
TARGETMODDIR = usb

default: $(TARGET)

include $(KDIR)/.config
include $(KDIR)/Makefile
TOPDIR := $(KDIR)
KVERS := $(shell uname -r)

CFLAGS := -I. -I $(KDIR)/drivers/usb -I$(KDIR)/include $(CFLAGS) -DMODULE

ifdef CONFIG_MODVERSIONS
#CFLAGS += -DMODVERSIONS -include $(KDIR)/include/linux/modversions.h
endif

tiglusb.o: tiglusb.c tiglusb.h ticable.h arch Rules.make

# 2.4 and later define PERL in the Makefile
#ifdef PERL
ifeq ($(PATCHLEVEL),4)
MODLIB := $(DESTDIR)$(INSTALL_MOD_PATH)/lib/modules/$(KVERS)/kernel/drivers
else
MODLIB := $(DESTDIR)$(INSTALL_MOD_PATH)/lib/modules/$(KVERS)
endif

install_mod: $(MODLIB)/$(TARGETMODDIR)/tiglusb.o

$(MODLIB)/$(TARGETMODDIR)/tiglusb.o: tiglusb.o
	echo "Install tiglusb"
	install -o root -g root -d $(MODLIB)/$(TARGETMODDIR)
	install -o root -g root -m 0644 tiglusb.o $(MODLIB)/$(TARGETMODDIR)/

load_module: install_mod
	@if test $(shell id -u) = 0; then \
		if test ! -z "$(shell lsmod | grep tiglusb)"; then echo "Remove tiglusb"; \
		rmmod tiglusb; fi; \
		echo "Load tiglusb"; modprobe tiglusb; \
	else \
		echo "Give root password for loading of kernel module"; \
		su -c \
		'if test ! -z "$(shell lsmod | grep tiglusb)"; then echo "Remove tiglusb"; \
		 rmmod tiglusb; fi; \
		 echo "Load tiglusb"; modprobe tiglusb'; \
	fi

=== tidev-modules/tipar/module/Makefile ===
# Makefile for tipar to be called by master Makefile that
# does the preparation work (setting up links, copying Rules.make ...)
# (w) 6/2001, Romain Lievin <rlievin@mail.com>

TARGET = tipar.o
TARGETMODDIR = misc

default: $(TARGET)

include $(KDIR)/.config
include $(KDIR)/Makefile
TOPDIR := $(KDIR)
KVERS := $(shell uname -r)

CFLAGS := -I. -I $(KDIR)/drivers/misc -I$(KDIR)/include $(CFLAGS) -DMODULE

ifdef CONFIG_MODVERSIONS
#CFLAGS += -DMODVERSIONS -include $(KDIR)/include/linux/modversions.h
endif

tipar.o: tipar.c ticable.h arch Rules.make

# 2.4 and later define PERL in the Makefile
#ifdef PERL
ifeq ($(PATCHLEVEL),4)
MODLIB := $(DESTDIR)$(INSTALL_MOD_PATH)/lib/modules/$(KVERS)/kernel/drivers
else
MODLIB := $(DESTDIR)$(INSTALL_MOD_PATH)/lib/modules/$(KVERS)
endif

install_mod: $(MODLIB)/$(TARGETMODDIR)/tipar.o

$(MODLIB)/$(TARGETMODDIR)/tipar.o: tipar.o
	echo "Install tipar"
	install -o root -g root -d $(MODLIB)/$(TARGETMODDIR)
	install -o root -g root -m 0644 tipar.o $(MODLIB)/$(TARGETMODDIR)/

load_module: install_mod
	@if test $(shell id -u) = 0; then \
		if test ! -z "$(shell lsmod | grep tipar)"; then echo "Remove tipar"; \
		rmmod tipar; fi; \
		echo "Load tipar"; modprobe tipar; \
	else \
		echo "Give root password for loading of kernel module"; \
		su -c \
		'if test ! -z "$(shell lsmod | grep tipar)"; then echo "Remove tipar"; \
		 rmmod tipar; fi; \
		 echo "Load tipar"; modprobe tipar'; \
	fi

=== tidev-modules/tiser/module/Makefile ===
# Makefile for tiser to be called by master Makefile that
# does the preparation work (setting up links, copying Rules.make ...)
# (w) 6/2001, Romain Lievin <rlievin@mail.com>

TARGET = tiser.o
TARGETMODDIR = misc

default: $(TARGET)

include $(KDIR)/.config
include $(KDIR)/Makefile
TOPDIR := $(KDIR)
KVERS := $(shell uname -r)

CFLAGS := -I. -I $(KDIR)/drivers/misc -I$(KDIR)/include $(CFLAGS) -DMODULE

ifdef CONFIG_MODVERSIONS
#CFLAGS += -DMODVERSIONS -include $(KDIR)/include/linux/modversions.h
endif

tiser.o: tiser.c ticable.h arch Rules.make

# 2.4 and later define PERL in the Makefile
#ifdef PERL
ifeq ($(PATCHLEVEL),4)
MODLIB := $(DESTDIR)$(INSTALL_MOD_PATH)/lib/modules/$(KVERS)/kernel/drivers
else
MODLIB := $(DESTDIR)$(INSTALL_MOD_PATH)/lib/modules/$(KVERS)
endif

install_mod: $(MODLIB)/$(TARGETMODDIR)/tiser.o

$(MODLIB)/$(TARGETMODDIR)/tiser.o: tiser.o
	echo "Install tiser"
	install -o root -g root -d $(MODLIB)/$(TARGETMODDIR)
	install -o root -g root -m 0644 tiser.o $(MODLIB)/$(TARGETMODDIR)/

load_module: install_mod
	@if test $(shell id -u) = 0; then \
		if test ! -z "$(shell lsmod | grep tiser)"; then echo "Remove tiser"; \
		rmmod tiser; fi; \
		echo "Load tiser"; modprobe tiser; \
	else \
		echo "Give root password for loading of kernel module"; \
		su -c \
		'if test ! -z "$(shell lsmod | grep tiser)"; then echo "Remove tiser"; \
		 rmmod tiser; fi; \
		 echo "Load tiser"; modprobe tiser'; \
	fi

=== debian/changelog ===
tidev-modules (2.0.0) unstable; urgency=low

  * Repackaged with module-assistant, thanks to Eduard Bloch for his help.
  * Switched to DH_COMPAT 4.
  * Bumped Standards-Version to 3.6.1 (no changes).
  * tiser can now be built for a 2.6 kernel (closes: #237935).

 -- Julien BLACHE <jblache@debian.org>  Sun, 11 Apr 2004 13:30:04 +0200

tidev-modules (1.4.3) unstable; urgency=low

  * tiglusb.c: applied "dma to stack" patch from Oliver Neukum.
  * Bumped Standards-Version to 3.6.1.

 -- Julien BLACHE <jblache@debian.org>  Thu, 22 Jan 2004 12:23:57 +0100

tidev-modules (1.4.2) unstable; urgency=low

  * Fix build for kernels with MODVERSIONS enabled (closes: #174735).
  * Added the "unpack the tarball" step to README.Debian.
  * Depend on coreutils rather than fileutils.

 -- Julien BLACHE <jblache@debian.org>  Fri,  3 Jan 2003 10:19:28 +0100

tidev-modules (1.4.1) unstable; urgency=low

  * Applied patch from Randy Dunlap <randy.dunlap@verizon.net> to
    tiusb, this gives us tiusb v1.05.

 -- Julien BLACHE <jblache@debian.org>  Tue, 26 Nov 2002 22:35:43 +0100

tidev-modules (1.4) unstable; urgency=low

  * Remove compatibility symlinks tiser.h, tipar.h.
  * Rename tiusb.* to tiglusb.* to be in sync with the kernel.
  * All of this is needed by the new libticables.

 -- Julien BLACHE <jblache@debian.org>  Tue, 10 Sep 2002 19:28:46 +0200

tidev-modules (1.3.2) unstable; urgency=low

  * Fixed tiusb.c wrt linux 2.5.31.

 -- Julien BLACHE <jblache@debian.org>  Sun, 11 Aug 2002 14:56:05 +0200

tidev-modules (1.3.1) unstable; urgency=low

  * Updated tiusb to v1.04.
  * Build system revisited, to make next entry possible.
  * You can build only the module(s) you need. See README.Debian.
  * Fixed devices.sh scripts for devfs.

 -- Julien BLACHE <jblache@debian.org>  Thu, 25 Jul 2002 16:36:48 +0200

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.

# prefix of the target package name
PACKAGE=tidev-modules
# modifieable for experiments or debugging m-a
MA_DIR ?= /usr/share/modass
# load generic variable handling
-include $(MA_DIR)/include/generic.make
# load default rules
-include $(MA_DIR)/include/common-rules.make

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	# We have nothing to do.

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	# We're not building anything.

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package
	cp -a tidev-modules $(CURDIR)/debian/tidev-modules-source/usr/src/modules/tidev-modules

	mkdir $(CURDIR)/debian/tidev-modules-source/usr/src/modules/tidev-modules/debian
	cp -f debian/*.modules.in $(CURDIR)/debian/tidev-modules-source/usr/src/modules/tidev-modules/debian
	cp -f debian/changelog $(CURDIR)/debian/tidev-modules-source/usr/src/modules/tidev-modules/debian
	cp -f debian/compat $(CURDIR)/debian/tidev-modules-source/usr/src/modules/tidev-modules/debian
	cp -f debian/copyright $(CURDIR)/debian/tidev-modules-source/usr/src/modules/tidev-modules/debian
	cp -f debian/rules $(CURDIR)/debian/tidev-modules-source/usr/src/modules/tidev-modules/debian

	chown -R root.src $(CURDIR)/debian/tidev-modules-source/usr/src/modules/

	cp -f tidev-modules/tipar/module/ticable.h $(CURDIR)/debian/tidev-modules-source/usr/include/tilp/
	cp -f tidev-modules/tiglusb/module/tiglusb.h $(CURDIR)/debian/tidev-modules-source/usr/include/tilp/

	# COPYING files are not needed, it's GPL
	rm -f $(CURDIR)/debian/tidev-modules-source/usr/src/modules/tidev-modules/tipar/COPYING
	rm -f $(CURDIR)/debian/tidev-modules-source/usr/src/modules/tidev-modules/tiser/COPYING
	rm -f $(CURDIR)/debian/tidev-modules-source/usr/src/modules/tidev-modules/tiglusb/COPYING

	# Pack all the stuff into a nice tarball
	cd $(CURDIR)/debian/tidev-modules-source/usr/src && tar cf - modules | gzip -9 > tidev-modules.tar.gz && rm -rf modules

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i 
	dh_installexamples -i
	dh_installmenu -i
	dh_installchangelogs -i
	dh_strip -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a 
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
	dh_installchangelogs -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep
.PHONY: build clean binary-indep binary-arch binary install configure



.PHONY: kdist_config
kdist_config: prep-deb-files
kdist_configure: kdist_config

.PHONY: binary_modules binary-modules

TIMODULES_DOC = $(CURDIR)/debian/$(PKGNAME)/usr/share/doc/$(PKGNAME)

KMAJ=$(shell echo $(KVERS) | sed -e 's/\(...\).*/\1/')

# Only tiser can be built for a 2.6 kernel
ifeq ($(KMAJ), 2.6)
TIMODULES = tiser
else
TIMODULES ?= tipar tiser tiglusb
endif

ifeq ($(wildcard $(KSRC)/Rules.make),)
AUTONOM=.autonom
endif

binary-modules: binary_modules
binary_modules: kdist_config
	dh_installdirs -a lib/modules/$(KVERS)/kernel/drivers/usb
	dh_installdirs -a lib/modules/$(KVERS)/kernel/drivers/misc
	dh_installdirs -a usr/share/doc/$(PKGNAME)

	for module in $(TIMODULES); do \
		$(MAKE) -f Makefile$(AUTONOM) TIMODULE=$$module KDIR=$(KSRC) KMAJ=$(KMAJ) ; \
		$(MAKE) -f Makefile$(AUTONOM) TIMODULE=$$module KDIR=$(KSRC) KMAJ=$(KMAJ) KVERS=$(KVERS) DESTDIR=$(CURDIR)/debian/$(PKGNAME) install ; \
		dh_installdirs -a usr/share/doc/$(PKGNAME)/$$module ; \
		cp -f $$module/README $(TIMODULES_DOC)/$$module ; \
		cp -f $$module/CHANGELOG $(TIMODULES_DOC)/$$module ; \
		cp -f $$module/devices.sh $(TIMODULES_DOC)/$$module ; \
		cp -f $$module/Insmod-options $(TIMODULES_DOC)/$$module ; \
	done

	rmdir --ignore-fail-on-non-empty $(CURDIR)/debian/$(PKGNAME)/lib/modules/$(KVERS)/kernel/drivers/usb
	rmdir --ignore-fail-on-non-empty $(CURDIR)/debian/$(PKGNAME)/lib/modules/$(KVERS)/kernel/drivers/misc

	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmodules
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol -- -v$(VERSION)
	dh_md5sums
	dh_builddeb --destdir=$(DEB_DESTDIR)

.PHONY: kdist_clean
kdist_clean:
	rm -f build-stamp configure-stamp

	$(MAKE) -f Makefile$(AUTONOM) TIMODULE=tipar clean
	$(MAKE) -f Makefile$(AUTONOM) TIMODULE=tiser clean
	$(MAKE) -f Makefile$(AUTONOM) TIMODULE=tiglusb clean

	-dh_clean

## tidev-modules 2.0.3

=== tidev-modules/Makefile ===
--- 
+++ 
@@ -31,8 +31,8 @@
 	rm -f $(TIMODULE)/module/.$(TIMODULE).o.flags
 
 $(TIMODULE).o:
-	$(MAKE) -C $(TIMODULE)/module KDIR=$(KDIR)
+	$(MAKE) -C $(TIMODULE)/module -f Makefile.2.4 KDIR=$(KDIR)
 
 install:
-	$(MAKE) -C $(TIMODULE)/module KDIR=$(KDIR) KVERS=$(KVERS) install_mod
+	$(MAKE) -C $(TIMODULE)/module -f Makefile.2.4 KDIR=$(KDIR) KVERS=$(KVERS) install_mod

=== tidev-modules/tiser/module/Makefile ===
# based on KBUILD documentation (http://lkml.org/lkml/2004/4/20/129)

TIMODULE = tiser
obj-m := $(TIMODULE).o

=== debian/changelog ===
tidev-modules (2.0.3) unstable; urgency=low

  * Modules updated:
    + tipar v1.19
    + tiusb v1.07

 -- Julien BLACHE <jblache@debian.org>  Sun, 31 Oct 2004 11:31:09 +0100

tidev-modules (2.0.2) unstable; urgency=low

  * Applied patch from Ken Bloom to fix installation of modules when the
    kernel was built with --append-to-version (closes: #266939).

 -- Julien BLACHE <jblache@debian.org>  Fri, 20 Aug 2004 18:39:25 +0200

tidev-modules (2.0.1) unstable; urgency=low

  * tiser updated to version 1.20 (closes: #254821).
  * Fixed MODVERSION for kernel 2.6 in tiser (patch from Ken Bloom) (closes: #250815).
  * New build process for 2.6 kernels, should produce working modules.

 -- Julien BLACHE <jblache@debian.org>  Sat, 31 Jul 2004 18:34:16 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: misc
 Priority: optional
 Maintainer: Julien BLACHE <jblache@debian.org>
-Build-Depends-Indep: debhelper (>> 3.0.0)
-Standards-Version: 3.5.2
+Build-Depends-Indep: debhelper (>= 4.0.0)
+Standards-Version: 3.6.1
 
 Package: tidev-modules-source
 Architecture: all
-Depends: make, debhelper (>> 3.0.0), fileutils (>= 4.1-9)
+Depends: module-assistant, debhelper (>= 4.0.0), coreutils (>= 4.5.1-1)
 Description: Sources for drivers for Texas Instruments calculators link cables
  This package will be useful to you if you own a Texas Instruments calculator
  and want to use one of the following link cables :
@@ -21,9 +21,8 @@
  for more informations on how to achieve that.
  .
  You must have the parport driver built either in your kernel or as a
- module to use the tipar_dev driver. You need a kernel with the USB core
- to use the tiusb_dev driver.
+ module to use the tipar driver. You need a kernel with the USB core
+ to use the tiglusb driver.
  .
  You'll also need a linking software such as TiLP to communicate with
  your calculator.
- .

=== debian/rules ===
--- 
+++ 
@@ -54,9 +54,9 @@
 	cp -f debian/copyright $(CURDIR)/debian/tidev-modules-source/usr/src/modules/tidev-modules/debian
 	cp -f debian/rules $(CURDIR)/debian/tidev-modules-source/usr/src/modules/tidev-modules/debian
 
-	chown -R root.src $(CURDIR)/debian/tidev-modules-source/usr/src/modules/
+	chown -R root:src $(CURDIR)/debian/tidev-modules-source/usr/src/modules/
 
-	cp -f tidev-modules/tipar/module/ticable.h $(CURDIR)/debian/tidev-modules-source/usr/include/tilp/
+	cp -f tidev-modules/ticable.h $(CURDIR)/debian/tidev-modules-source/usr/include/tilp/
 	cp -f tidev-modules/tiglusb/module/tiglusb.h $(CURDIR)/debian/tidev-modules-source/usr/include/tilp/
 
 	# COPYING files are not needed, it's GPL
@@ -116,17 +116,19 @@
 
 TIMODULES_DOC = $(CURDIR)/debian/$(PKGNAME)/usr/share/doc/$(PKGNAME)
 
-KMAJ=$(shell echo $(KVERS) | sed -e 's/\(...\).*/\1/')
+KMAJ=$(shell echo $(KVERS) | cut -b1-3)
 
 # Only tiser can be built for a 2.6 kernel
 ifeq ($(KMAJ), 2.6)
 TIMODULES = tiser
+MVER=.2.6
 else
 TIMODULES ?= tipar tiser tiglusb
-endif
-
-ifeq ($(wildcard $(KSRC)/Rules.make),)
-AUTONOM=.autonom
+  ifeq ($(wildcard $(KSRC)/Rules.make),)
+  MVER=.autonom
+  else
+  MVER=""
+  endif
 endif
 
 binary-modules: binary_modules
@@ -136,8 +138,8 @@
 	dh_installdirs -a usr/share/doc/$(PKGNAME)
 
 	for module in $(TIMODULES); do \
-		$(MAKE) -f Makefile$(AUTONOM) TIMODULE=$$module KDIR=$(KSRC) KMAJ=$(KMAJ) ; \
-		$(MAKE) -f Makefile$(AUTONOM) TIMODULE=$$module KDIR=$(KSRC) KMAJ=$(KMAJ) KVERS=$(KVERS) DESTDIR=$(CURDIR)/debian/$(PKGNAME) install ; \
+		$(MAKE) -f Makefile$(MVER) TIMODULE=$$module KDIR=$(KSRC) KMAJ=$(KMAJ) ; \
+		$(MAKE) -f Makefile$(MVER) TIMODULE=$$module KDIR=$(KSRC) KMAJ=$(KMAJ) KVERS=$(KVERS) KERNELRELEASE=$(KVERS) DESTDIR=$(CURDIR)/debian/$(PKGNAME) install ; \
 		dh_installdirs -a usr/share/doc/$(PKGNAME)/$$module ; \
 		cp -f $$module/README $(TIMODULES_DOC)/$$module ; \
 		cp -f $$module/CHANGELOG $(TIMODULES_DOC)/$$module ; \

## tidev-modules 2.0.4

=== debian/changelog ===
tidev-modules (2.0.4) unstable; urgency=low

  * Orphaning this package.
  * debian/control:
    + Maintainer: set to QA.
    + Bumped Standards-Version to 3.6.2 (no changes).
  * debian/tidev-modules-source.postinst:
    + Fix deprecated chown usage.

 -- Julien BLACHE <jblache@debian.org>  Wed, 12 Apr 2006 16:49:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: tidev-modules
 Section: misc
 Priority: optional
-Maintainer: Julien BLACHE <jblache@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends-Indep: debhelper (>= 4.0.0)
-Standards-Version: 3.6.1
+Standards-Version: 3.6.2
 
 Package: tidev-modules-source
 Architecture: all
